QwtBarCurve Class Reference

Bar curve. More...

`#include <QwtBarCurve.h>`

Inheritance diagram for QwtBarCurve:

## Public Types

enum | BarStyle { Vertical = 0, Horizontal = 1 }

## Public Member Functions

virtual QwtDoubleRect | boundingRect () const
void | copy (QwtBarCurve *b)
double | dataOffset ()
int | gap () const
bool | isStacked ()
int | offset () const
BarStyle | orientation ()
| QwtBarCurve (BarStyle style, Table *t, const QString &xColName, const QString &name, int startRow, int endRow)
virtual QString | saveToString ()
void | setGap (int gap)
void | setOffset (int offset)
void | setStacked (bool on=true)
QList< QwtBarCurve * > | stackedCurvesList () const
double | stackOffset (int i, QList< QwtBarCurve *> stack) const
Public Member Functions inherited from DataCurve
void | addErrorBars (ErrorBarsCurve *c)
| Adds a single error bars curve to the list of attached error bars. More...
void | clearErrorBars ()
| Clears the list of attached error bars. More...
void | clearLabels ()
| Clears the list of attached text labels. More...
void | clone (DataCurve *c)
| DataCurve (Table *t, const QString &xColName, const QString &name, int startRow=0, int endRow=-1)
| DataCurve (Table *xt, const QString &xColName, Table *yt, const QString &name, int startRow=0, int endRow=-1)
void | enableSpeedMode ()
int | endRow ()
QList< ErrorBarsCurve * > | errorBarsList ()
| The list of attached error bars. More...
bool | hasLabels ()
bool | hasSelectedLabels ()
bool | hasVisibleLabels ()
bool | isFullRange ()
int | labelsAlignment ()
QColor | labelsColor ()
QString | labelsColumnName ()
QFont | labelsFont ()
double | labelsRotation ()
bool | labelsWhiteOut ()
int | labelsXOffset ()
int | labelsYOffset ()
virtual void | loadData ()
void | moveLabels (const QPoint &pos)
virtual QStringList | plotAssociation ()
| A list of data sources for this curve. More...
void | remove ()
void | removeErrorBars (ErrorBarsCurve *c)
| Remove a single error bars curve from the list of attached error bars. More...
void | restoreLabels (const QStringList &lst)
bool | selectedLabels (const QPoint &pos)
void | setDataSource (Table *yt, int ycol=1, Table *xt=NULL, int xcol=0)
void | setFullRange ()
void | setLabelsAlignment (int flags)
void | setLabelsColor (const QColor &c)
void | setLabelsColumnName (const QString &name)
void | setLabelsFont (const QFont &font)
void | setLabelsOffset (int x, int y)
void | setLabelsRotation (double angle)
void | setLabelsSelected (bool on=true)
void | setLabelsWhiteOut (bool whiteOut=true)
void | setRowRange (int startRow, int endRow)
void | setVisible (bool on)
void | setVisibleLabels (bool on=true)
void | setXColumnName (const QString &name)
int | startRow ()
Table * | table ()
int | tableRow (int point)
| Returns the row index in the data source table corresponding to the data point index. More...
virtual void | updateColumnNames (const QString &oldName, const QString &newName, bool updateTableName)
virtual bool | updateData (Table *t, const QString &colName)
virtual void | updateLabelsPosition ()
QString | xColumnName ()
Table * | xTable ()
Public Member Functions inherited from PlotCurve
void | enableSideLines (bool on)
| PlotCurve (const QString &name=QString())
int | plotStyle ()
| The plot style of the curve. More...
void | restoreCurveLayout (const QStringList &lst)
QString | saveCurveLayout ()
QString | saveCurveSymbolImage ()
void | setPlotStyle (int s)
void | setSkipSymbolsCount (int count)
| Set the number of symbols not to be drawn: usefull for large data sets. More...
void | setType (int t)
void | setXOffset (double dx)
void | setYOffset (double dy)
bool | sideLinesEnabled ()
int | skipSymbolsCount ()
| Returns the number of symbols not to be drawn. More...
int | type ()
| Sort of rtti() More...
double | xOffset ()
double | yOffset ()

## Protected Attributes

int | bar_gap
int | bar_offset
BarStyle | bar_style
bool | d_is_stacked
Protected Attributes inherited from DataCurve
double | d_click_pos_x
| Keep track of the coordinates of the point where the user clicked when selecting the labels. More...
double | d_click_pos_y
std::vector< DataRange > | d_data_ranges
int | d_end_row
QList< ErrorBarsCurve * > | d_error_bars
| List of the error bar curves associated to this curve. More...
int | d_labels_align
double | d_labels_angle
QColor | d_labels_color
QString | d_labels_column
| The name of the column used for text labels. More...
QFont | d_labels_font
QList< PlotMarker * > | d_labels_list
| List of the text labels associated to this curve. More...
int | d_labels_x_offset
int | d_labels_y_offset
PlotMarker * | d_selected_label
| Keeps track of the plot marker on which the user clicked when selecting the labels. More...
bool | d_show_labels
int | d_start_row
Table * | d_table
| The data source table. More...
bool | d_white_out_labels
QString | d_x_column
| The name of the column used for abscissae values. More...
Table * | d_x_table
| The data source table in case X and Y datasets are from different tables. More...
Protected Attributes inherited from PlotCurve
int | d_plot_style
bool | d_side_lines
int | d_skip_symbols
int | d_type
double | d_x_offset
double | d_y_offset

## Private Member Functions

virtual void | draw (QPainter *painter, const QwtScaleMap &xMap, const QwtScaleMap &yMap, int from, int to) const

## Additional Inherited Members

Protected Member Functions inherited from DataCurve
virtual void | drawCurve (QPainter *p, int style, const QwtScaleMap &xMap, const QwtScaleMap &yMap, int from, int to) const
virtual void | loadLabels ()
bool | validCurveType ()
Protected Member Functions inherited from PlotCurve
QwtDoubleRect | boundingRect () const
void | drawSideLines (QPainter *p, const QwtScaleMap &xMap, const QwtScaleMap &yMap, int from, int to) const
void | drawSticks (QPainter *p, const QwtScaleMap &xMap, const QwtScaleMap &yMap, int from, int to) const
virtual void | drawSymbols (QPainter *p, const QwtSymbol &, const QwtScaleMap &xMap, const QwtScaleMap &yMap, int from, int to) const
| Draw symbols. More...

## Detailed Description

Bar curve.

## Member Enumeration Documentation

## BarStyle

enum QwtBarCurve::BarStyle

Enumerator
Vertical |
Horizontal |

## Constructor & Destructor Documentation

## QwtBarCurve()

QwtBarCurve::QwtBarCurve | ( | BarStyle | style,
|  | Table * | t,
|  | const QString & | xColName,
|  | const QString & | name,
|  | int | startRow,
|  | int | endRow
| ) |  |

References bar_style, Graph::HorizontalBars, PlotCurve::setPlotStyle(), PlotCurve::setType(), Vertical, and Graph::VerticalBars.

## Member Function Documentation

## boundingRect()

QwtDoubleRect QwtBarCurve::boundingRect | ( |  | ) | const

virtual

Reimplemented in QwtHistogram.

References bar_style, d_is_stacked, stackedCurvesList(), stackOffset(), and Vertical.

## copy()

void QwtBarCurve::copy | ( | QwtBarCurve * | b | ) |

References bar_gap, bar_offset, bar_style, d_is_stacked, and isStacked().

Referenced by QwtHistogram::copy().

## dataOffset()

double QwtBarCurve::dataOffset | ( |  | ) |

References bar_gap, bar_offset, bar_style, min, and Vertical.

Referenced by offset().

## draw()

void QwtBarCurve::draw | ( | QPainter * | painter,
|  | const QwtScaleMap & | xMap,
|  | const QwtScaleMap & | yMap,
|  | int | from,
|  | int | to
| ) |  | const

private virtual

References bar_gap, bar_offset, bar_style, d_is_stacked, min, stackedCurvesList(), stackOffset(), and Vertical.

Referenced by setStacked().

## gap()

int QwtBarCurve::gap | ( |  | ) | const

inline

References bar_gap, offset(), and setOffset().

Referenced by orientation(), Graph::saveCurveLayout(), PlotDialog::setActiveCurve(), Graph::setBarsGap(), and setGap().

## isStacked()

bool QwtBarCurve::isStacked | ( |  | ) |

inline

References d_is_stacked.

Referenced by copy(), PlotDialog::setActiveCurve(), and stackedCurvesList().

## offset()

int QwtBarCurve::offset | ( |  | ) | const

inline

References bar_offset, and dataOffset().

Referenced by gap(), Graph::saveCurveLayout(), PlotDialog::setActiveCurve(), Graph::setBarsGap(), and setOffset().

## orientation()

BarStyle QwtBarCurve::orientation | ( |  | ) |

inline

References bar_style, gap(), and setGap().

Referenced by stackedCurvesList().

## saveToString()

QString QwtBarCurve::saveToString | ( |  | ) |

virtual

Reimplemented from DataCurve.

References d_is_stacked, and DataCurve::saveToString().

Referenced by setStacked().

## setGap()

void QwtBarCurve::setGap | ( | int | gap | ) |

References bar_gap, and gap().

Referenced by PlotDialog::applyGapToLayer(), Graph::initCurveLayout(), orientation(), Graph::restoreHistogram(), and Graph::setBarsGap().

## setOffset()

void QwtBarCurve::setOffset | ( | int | offset | ) |

References bar_offset, and offset().

Referenced by gap(), Graph::initCurveLayout(), Graph::restoreHistogram(), and Graph::setBarsGap().

## setStacked()

void QwtBarCurve::setStacked | ( | bool | on = `true` | ) |

inline

References d_is_stacked, draw(), saveToString(), stackedCurvesList(), and stackOffset().

Referenced by ApplicationWindow::openGraph().

## stackedCurvesList()

QList< QwtBarCurve * > QwtBarCurve::stackedCurvesList | ( |  | ) | const

References bar_style, Graph::curveCount(), Graph::curveIndex(), Graph::dataCurve(), Graph::HorizontalBars, isStacked(), orientation(), PlotCurve::type(), and Graph::VerticalBars.

Referenced by boundingRect(), draw(), and setStacked().

## stackOffset()

double QwtBarCurve::stackOffset | ( | int | i,
|  | QList< QwtBarCurve *> | stack
| ) |  | const

References bar_style, and Vertical.

Referenced by boundingRect(), draw(), and setStacked().

## Member Data Documentation

## bar_gap

int QwtBarCurve::bar_gap

protected

Referenced by copy(), dataOffset(), draw(), gap(), QwtHistogram::init(), and setGap().

## bar_offset

int QwtBarCurve::bar_offset

protected

Referenced by copy(), dataOffset(), draw(), offset(), and setOffset().

## bar_style

BarStyle QwtBarCurve::bar_style

protected

Referenced by boundingRect(), copy(), dataOffset(), draw(), orientation(), QwtBarCurve(), stackedCurvesList(), and stackOffset().

## d_is_stacked

bool QwtBarCurve::d_is_stacked

protected

Referenced by boundingRect(), copy(), draw(), isStacked(), saveToString(), and setStacked().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/QwtBarCurve.h
- qtiplot/src/plot2D/QwtBarCurve.cpp